<ion-header>
	<ion-navbar>
		<button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>Masuk / Daftar</ion-title>
	</ion-navbar>
</ion-header>

<ion-content>
  <div align="center" style="padding:10px;background-color:#41a9e1">
    <img src="assets/img/logo_mytaxguide.png" height="100px" width="100px">
  </div>

  <ion-segment style="background-color:#41a9e1;" [(ngModel)]="segment">
    <ion-segment-button value="login" style="color:white">
      <b>Masuk</b>
    </ion-segment-button>
    <ion-segment-button value="daftar" style="color:white">
      <b>Daftar</b>
    </ion-segment-button>
  </ion-segment>

  <form #f="ngForm" (ngSubmit)="onLogin(f)" novalidate *ngIf="segment === 'login'">
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" style="color:black;" floating>Email</ion-label>
      <ion-input class="border-bottom-input" style="color:black;" type="email" name="email" [(ngModel)]="email" type="text" ngModel #email_="ngModel" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px;">
      <ion-label class="label-input" style="color:black;" floating>Password</ion-label>
        <ion-input class="border-bottom-input" style="color:black;" name="password" [(ngModel)]="password"  [type]="getType()" ngModel #password_="ngModel" required></ion-input>
        <button type="button" ion-button clear item-end (click)='toggleTextPassword()' style="margin-right:0;margin-left:5px;margin-bottom:10;padding-top:0px;margin-top:40px">
          <ion-icon name="eye" style="font-size:24px;margin-right:0"></ion-icon>
        </button>
    </ion-item>
    <div style="margin:8px;margin-right:18px;margin-bottom:0" align="right">
      <a (click)="goToForgotPassword()">Lupa password ?</a>
    </div>
    <ion-item>
      <button class="button-input" [disabled]="!email_.valid || !password_.valid" ion-button block style="text-transform:none;">Masuk</button>
    </ion-item>
  </form>

  <form #f="ngForm" (ngSubmit)="onRegister(f)" novalidate *ngIf="segment === 'daftar'">
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" style="color:black;" floating>Nama</ion-label>
      <ion-input class="border-bottom-input" style="color:black;"  name="name" [(ngModel)]="nameRegister" type="text" ngModel #nameRegister_="ngModel" required></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" style="color:black;" floating>Email</ion-label>
      <ion-input class="border-bottom-input" style="color:black;" type="email" name="email" [(ngModel)]="emailRegister" ngModel #emailRegister_="ngModel" required pattern="[A-Za-z0-9._%+-]{3,}@[a-zA-Z]{3,}([.]{1}[a-zA-Z]{2,}|[.]{1}[a-zA-Z]{2,}[.]{1}[a-zA-Z]{2,})"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px;">
      <ion-label class="label-input" style="color:black;" floating>Password</ion-label>
      <ion-input class="border-bottom-input" style="color:black;" row="10" name="password" [(ngModel)]="passwordRegister" type="password" ngModel #passwordRegister_="ngModel" required></ion-input>
  </ion-item>
  <ion-item style="padding-right: 10px;">
      <ion-label class="label-input" style="color:black;" floating>Konfirmasi Password</ion-label>
      <ion-input class="border-bottom-input" row="10" style="color:black;" name="confirm_password" [(ngModel)]="confirmPassword" type="password" required></ion-input>
  </ion-item>
    <!-- <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Tanggal Lahir</ion-label>
      <ion-datetime class="border-bottom-input dob-input" displayFormat="MM/DD/YYYY" name="dob" [(ngModel)]="dobRegister" ngModel #dobRegister_="ngModel"></ion-datetime>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Telepon</ion-label>
      <ion-input class="border-bottom-input" name="phone" [(ngModel)]="phoneRegister" ngModel #phoneRegister_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Alamat</ion-label>
      <ion-input class="border-bottom-input" name="address" [(ngModel)]="addressRegister" ngModel #addressRegister_="ngModel"></ion-input>
    </ion-item>
    <ion-item style="padding-right: 10px">
      <ion-label class="label-input" floating>Jenis Kelamin</ion-label>
      <ion-select class="border-bottom-input" name="gender" [(ngModel)]="genderRegister" ngModel #genderRegister_="ngModel">
        <ion-option value = 1>Laki - laki</ion-option>
        <ion-option value = 2>Perempuan</ion-option>
      </ion-select>
    </ion-item> -->
    <ion-item>
      <button class="button-input" ion-button block style="text-transform:none;">Daftar</button>
    </ion-item>
  </form>

  <p align="center" style="margin-top:0;margin-bottom:0">
    Atau, Masuk melalui
  </p>
  <ion-item>
    <ion-row>
      <ion-col>
        <button ion-button (click)="googleLogin()" block icon-left style="background-color: #d34836">
          <ion-icon name="logo-googleplus"></ion-icon>
          Google
        </button>
      </ion-col>
      <ion-col>
        <button ion-button (click)="facebookLogin()" block icon-left style="background-color: #4267B2;">
          <ion-icon name="logo-facebook"></ion-icon>
          Facebook
        </button>
      </ion-col>
    </ion-row>
  </ion-item>
</ion-content>
